Skip to content
View as Markdown

GET Get Contact Custom Fields​

GET
/custom-fields/contacts

Retrieve all globally defined custom contact fields. Optionally include field type definitions and field group information by passing the with[] parameter.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

with[]

Include additional data. Supported values: field_types (available field type definitions), field_groups (field group names).

Type
array

Responses​

Custom fields retrieved successfully.

application/json
JSON
{
"fields": [
{
"label": "string",
"slug": "string",
"type": "string",
"group": "string",
"options": [
"string"
]
}
],
"field_types": {
"additionalProperties": {
"type": "string",
"label": "string",
"value_type": "string"
}
},
"field_groups": [
{
"slug": "string",
"title": "string"
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI